Name:           loopabull
Version:        0.0.3
Release:        2%{?dist}
Summary:        Event loop driven Ansible playbook execution engine

License:        GPLv3+
URL:            https://github.com/maxamillion/loopabull
Source0:        https://github.com/maxamillion/%{name}/archive/%{name}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  systemd

%if 0%{?rhel}
BuildRequires:  python-setuptools
%else
BuildRequires:  python2-setuptools
%endif

Requires:       ansible

%if 0%{?rhel}
Requires:       python-fedmsg-core
%else
Requires:       python2-fedmsg-core
%endif

%description
%{summary}

%prep
# For some reason github is prepending the name twice
%autosetup -n %{name}-%{name}-%{version}

%build
%py2_build

%install

%py2_install

# Install config
install -d %{buildroot}%{_sysconfdir}
install -m 644 systemd/%{name}.yml %{buildroot}%{_sysconfdir}/%{name}.yml

# Install sysconfig
install -d %{buildroot}%{_sysconfdir}/sysconfig
install -m 644 systemd/sysconfig.%{name} %{buildroot}%{_sysconfdir}/sysconfig/%{name}

# Install systemd unit file
install -d %{buildroot}%{_unitdir}
install -m 644 systemd/%{name}.service %{buildroot}%{_unitdir}

# Install examples
install -d %{buildroot}%{_docdir}/%{name}/
cp -r examples %{buildroot}%{_docdir}/%{name}/

# Install man page
gzip man/%{name}.1
install -d %{buildroot}%{_mandir}/man1
install -m 644 man/%{name}.1.gz %{buildroot}%{_mandir}/man1/

%post
%systemd_post %{name}.service

%preun
%systemd_preun %{name}.service

%postun
%systemd_postun %{name}.service

%files
%license LICENSE
%doc README.rst examples
%doc %{_mandir}/man1/%{name}.1.gz

%{python2_sitelib}/*
%{_bindir}/%{name}
%{_unitdir}/%{name}.service
%{_docdir}/%{name}/*
%{_sysconfdir}/%{name}.yml
%{_sysconfdir}/sysconfig/%{name}


%changelog
* Wed Aug 17 2016 Adam Miller <maxamillion@fedoraproject.org> - 0.0.3-2
- fix py2 macros, set doc attribute on examples and man page, fix source url
* Tue Aug 16 2016 Adam Miller <maxamillion@fedoraproject.org> - 0.0.3-1
- First Fedora package of loopabull
